# Class VulkanBlendConstants.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanBlendConstants.Builder

Enclosing class:
  `VulkanBlendConstants`

public static final class VulkanBlendConstants.Builder extends Object
Builds instances of type `VulkanBlendConstants`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanBlendConstants`
  `build()`
  Builds a new `VulkanBlendConstants`.
  `final VulkanBlendConstants.Builder`
  `from(VulkanBlendConstantsType instance)`
  Fill a builder with attribute values from the provided `VulkanBlendConstantsType` instance.
  `final VulkanBlendConstants.Builder`
  `setA(float a)`
  Initializes the value for the `a` attribute.
  `final VulkanBlendConstants.Builder`
  `setB(float b)`
  Initializes the value for the `b` attribute.
  `final VulkanBlendConstants.Builder`
  `setG(float g)`
  Initializes the value for the `g` attribute.
  `final VulkanBlendConstants.Builder`
  `setR(float r)`
  Initializes the value for the `r` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanBlendConstants.Builder from(VulkanBlendConstantsType instance)
    Fill a builder with attribute values from the provided `VulkanBlendConstantsType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setR

    public final VulkanBlendConstants.Builder setR(float r)
    Initializes the value for the `r` attribute.
    Parameters:
      `r` - The value for r
    Returns:
      `this` builder for use in a chained invocation

  - ### setG

    public final VulkanBlendConstants.Builder setG(float g)
    Initializes the value for the `g` attribute.
    Parameters:
      `g` - The value for g
    Returns:
      `this` builder for use in a chained invocation

  - ### setB

    public final VulkanBlendConstants.Builder setB(float b)
    Initializes the value for the `b` attribute.
    Parameters:
      `b` - The value for b
    Returns:
      `this` builder for use in a chained invocation

  - ### setA

    public final VulkanBlendConstants.Builder setA(float a)
    Initializes the value for the `a` attribute.
    Parameters:
      `a` - The value for a
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanBlendConstants build()
    Builds a new `VulkanBlendConstants`.
    Returns:
      An immutable instance of VulkanBlendConstants
    Throws:
      `IllegalStateException` - if any required attributes are missing